Rails.application.routes.draw do
  
  namespace :panel do
    namespace :personal_book do
       namespace :desktop do
          match 'books_window' => "personal_books#books_window"
          resources :personal_books
          resources :plugin_intros
        end
      namespace :back_end do
	  
        match 'writing_book_setting' => "writing_books#writing_book_setting" ,:as => :writing_book_setting

        # match 'writing_book_intro' => "writing_books#writing_book_intro" ,:as => :writing_book_intro
		  		
        resources :writing_books do
          collection do
            get 'delete'
            get 'data_share'
          end
		  
          match "author_type_quick_add" => "writing_books#author_type_quick_add" ,:as => :author_type_quick_add
          match "author_type_quick_edit" => "writing_books#author_type_quick_edit" ,:as => :author_type_quick_edit
		  
          match "paper_type_quick_add" => "writing_books#paper_type_quick_add" ,:as => :paper_type_quick_add
          match "paper_type_quick_edit" => "writing_books#paper_type_quick_edit" ,:as => :paper_type_quick_edit
        end
        
        resources :personal_book_intros
        resources :book_paper_types
        resources :book_author_types
        resources :tags

      end
      namespace :front_end do
        resources :writing_books
      end
      namespace :plugin do
        resources :writing_books
      end
      namespace :widget do
        match "writing_books" => "writing_books#index"
        match "home_list" => "writing_books#home_list"
        match "reload_writing_books" => "writing_books#reload_writing_books"
      end
    end
   
  end
 match "/appfront/*path" => redirect("/panel/*path")
 
end
